/*
 * ESP8266 RGBW controller
 * Copyright 2020 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/RGBWifi
*/
#ifndef __Strip
#define __Strip

#include <NeoPixelBus.h>
#include "./config.h"

class Strip
{
  private:
    NeoPixelBus<NeoGrbwFeature, Neo800KbpsMethod>* mBus;
  public:
    void init(uint16_t ledCount);

    void setStatic(const RgbwColor color);
};

#endif